<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('product_config_fields', function (Blueprint $table) {
            $table->id();
            $table->unsignedInteger('group_id'); // Ürün konfigürasyon grubu ile ilişkilendirilecek
            $table->enum('type', ['number', 'select', 'checkboxgroup'])->default('select');
            $table->json('values')->nullable(); // Seçenek değerleri (JSON formatında)
            $table->integer('order')->default(1); // Görüntüleme sırası
            $table->boolean('hidden')->default(false);
            $table->boolean('is_required')->default(false); // Zorunlu mu?
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('product_config_fields');
    }
};
